Name:       hwcrypto-native
Version:    17.3.15
Release:    1%{?dist}
Summary:    Estonian ID Card signing plugin for supported browsers
License:    LGPLv2
URL:        https://github.com/hwcrypto/hwcrypto-native
Source0:    %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-linguist
BuildRequires: pcsc-lite-devel

Requires:       opensc%{?_isa}
Requires:       pcsc-lite%{?_isa}
Requires:       mozilla-filesystem%{?_isa}

%description
Estonian ID Card signing for Chrome, Firefox and other supported browsers.
Contains Chrome extension and native messaging client.

%prep
%setup -q 

%build
export PATH=%{_qt5_bindir}:$PATH
make -C host-qt QMAKE=qmake-qt5

%install
# Create directories
install -d %{buildroot}/%{_libexecdir}
install -d %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts
install -d %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts
install -d %{buildroot}/usr/lib64/mozilla/native-messaging-hosts

# Install files
install -p -m 755 host-qt/hwcrypto-native %{buildroot}/%{_libexecdir}
install -p -m 644 linux/org.hwcrypto.native.json %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts/org.hwcrypto.native.json
sed -i 's/\/usr\/lib/\/usr\/libexec/g' %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts/org.hwcrypto.native.json
install -p -m 644 linux/org.hwcrypto.native.json %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts/org.hwcrypto.native.json
sed -i 's/\/usr\/lib/\/usr\/libexec/g' %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts/org.hwcrypto.native.json
install -p -m 644 linux/org.hwcrypto.native.firefox.json %{buildroot}/usr/lib64/mozilla/native-messaging-hosts/org.hwcrypto.native.json
sed -i 's/\/usr\/lib/\/usr\/libexec/g' %{buildroot}/usr/lib64/mozilla/native-messaging-hosts/org.hwcrypto.native.json

%files
%doc AUTHORS LICENSE.LGPL README.md RELEASE-NOTES.md
%{_libexecdir}/hwcrypto-native
%{_sysconfdir}/opt/chrome/native-messaging-hosts/org.hwcrypto.native.json
%{_sysconfdir}/chromium/native-messaging-hosts/org.hwcrypto.native.json
/usr/lib64/mozilla/native-messaging-hosts/org.hwcrypto.native.json

%changelog
* Tue Mar 28 2017 Mihkel Vain <mihkel@fedoraproject.org> - 17.3.15-1
- New upstream release
- Fine-tune spec file 

* Sun Mar 26 2017 Mihkel Vain <mihkel@fedoraproject.org> - 17.3.14-1
- Project moved to https://github.com/hwcrypto

* Tue Feb 07 2017 Mihkel Vain mihkel@fedoraproject.org 1.0.4-2
- Remove qt5-devel from BuildRequires

* Mon Feb 06 2017 Mihkel Vain <mihkel@fedoraproject.org> - 1.0.4-1
- Initial rpm release.

